package com.its.pis.xnettcp.vds.protocol;

/**
 * 제어동기화(Controller Synchronization), 응답없음
 */
public class VdsReqSynchronize extends VdsReqFramePacket {

    private byte frameNo;

    public VdsReqSynchronize(short groupNo, short controllerNo) {
        super(groupNo, controllerNo, VdsProtocol.vds_Synchronization);
        this.body = new byte[1];
        setFrameNo(1);
    }

    public void setFrameNo(int frameNo) {
        this.frameNo =  (byte)(frameNo & 0xFF);;
        this.body[0] = this.frameNo;
    }
}
